Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.rest.controller
Class SpringRESTController

    java.lang.Object
      org.apache.cocoon.rest.controller.SpringRESTController

All Implemented Interfaces:
  Controller, ApplicationContextAware

    public class SpringRESTController

extends Object
implements Controller, ApplicationContextAware

This controller is responsible for the execution of instances of REST controller beans. Note that each controller implementation must be available as Spring bean. For that purpose you can use the `RESTController` annotation and load all beans from a particular package automatically. See http://static.springframework.org/spring/docs/2.5.x/reference/beans.html#beans-classpath-scanning for details.

Constructor Summary
`SpringRESTController()`

Method Summary
`void` | `invoke(OutputStream outputStream, String controllerName, Map<String,Object> inputParameters, Map<String,? extends Object> configuration)`
`void` | `setAnnotationCollector(AnnotationCollector annotationCollector)`
`void` | `setApplicationContext(ApplicationContext applicationContext)`
`void` | `setMethodDelegator(MethodDelegator methodDelegator)`
`static
`<T> T`
` | `unpackProxy(T proxy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringRESTController

    public SpringRESTController()

Method Detail

### invoke

    public void invoke(OutputStream outputStream,
                       String controllerName,
                       Map<String,Object> inputParameters,
                       Map<String,? extends Object> configuration)

  Specified by:
    `invoke` in interface `Controller`

### setAnnotationCollector

    public void setAnnotationCollector(AnnotationCollector annotationCollector)

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)
                               throws BeansException

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`
  Throws:
    `BeansException`
  See Also:
    `ApplicationContextAware.setApplicationContext(org.springframework.context.ApplicationContext)`

### setMethodDelegator

    public void setMethodDelegator(MethodDelegator methodDelegator)

### unpackProxy

    public static <T> T unpackProxy(T proxy)
                         throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.